<?php

add_action( 'admin_menu', 'print_on_demand_gettingstarted' );
function print_on_demand_gettingstarted() {
	add_theme_page( esc_html__('About Theme', 'print-on-demand'), esc_html__('About Theme', 'print-on-demand'), 'edit_theme_options', 'print-on-demand-guide-page', 'print_on_demand_guide');   
}

function print_on_demand_admin_theme_style() {
   wp_enqueue_style('print-on-demand-custom-admin-style', esc_url(get_template_directory_uri()) . '/inc/dashboard/get_started_info.css');
   wp_enqueue_script('tabs', esc_url(get_template_directory_uri()) . '/inc/dashboard/js/tab.js');
}
add_action('admin_enqueue_scripts', 'print_on_demand_admin_theme_style');

function print_on_demand_notice(){
    global $pagenow;
    if ( is_admin() && ('themes.php' == $pagenow) && isset( $_GET['activated'] ) ) {?>
    <div class="notice notice-success is-dismissible getting_started">
		<div class="notice-content">
			<h2><?php esc_html_e( 'Thanks for installing Print On Demand Theme', 'print-on-demand' ) ?> </h2>
			<p><?php esc_html_e( "Please Click on the link below to know the theme setup information", 'print-on-demand' ) ?></p>
			<p><a href="<?php echo esc_url( admin_url( 'themes.php?page=print-on-demand-guide-page' ) ); ?>" class="button button-primary"><?php esc_html_e( 'Get Started ', 'print-on-demand' ); ?></a></p>
		</div>
	</div>
	<?php }
}
add_action('admin_notices', 'print_on_demand_notice');

/**
 * Theme Info Page
 */
function print_on_demand_guide() {

// Theme info
$return = add_query_arg( array()) ;
$theme = wp_get_theme( 'print-on-demand' ); ?>

<div class="wrap getting-started">
<div class="getting-started__header">
<div class="intro">
<div class="pad-box">
	<h2 align="center"><?php esc_html_e( 'Welcome to Print On Demand Theme', 'print-on-demand' ); ?>
	<span class="version" align="center">Version: <?php echo esc_html($theme['Version']);?></span></h2>	
	</span>
	<div class="powered-by">
		<p align="center"><strong><?php esc_html_e( 'Theme created by ThemesEye', 'print-on-demand' ); ?></strong></p>
		<p align="center">
			<img role="img" class="logo" src="<?php echo esc_url(get_template_directory_uri() . '/inc/dashboard/media/logo.png'); ?>"/>
		</p>
	</div>
</div>
</div>

<div class="tab">
<button role="tab" class="tablinks" onclick="print_on_demand_open(event, 'lite_theme')">Getting Started</button>		  
<button role="tab" class="tablinks" onclick="print_on_demand_open(event, 'pro_theme')">Get Premium</button>
</div>

<!-- Tab content -->
<div id="lite_theme" class="tabcontent open">
<h2 class="tg-docs-section intruction-title" id="section-4" align="center"><?php esc_html_e( '1). Print On Demand Lite Theme', 'print-on-demand' ); ?></h2>
<div class="row">
<div class="col-md-5">
	<div class="pad-box">
  			<img role="img" class="logo" src="<?php echo esc_url(get_template_directory_uri() . '/inc/dashboard/media/screenshot.png'); ?>"/>
  		 </div> 
</div>
<div class="theme-instruction-block col-md-7">
	<div class="pad-box">
           <div class="table-image">
			<table class="tablebox">
				<thead>
					<tr>
						<th><?php esc_html_e('Setup', 'print-on-demand'); ?></th>
						<th><?php esc_html_e('Click Here', 'print-on-demand'); ?></th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td><?php esc_html_e('Logo', 'print-on-demand'); ?></td>
						<td class="table-img"><a href="<?php echo esc_url( admin_url('customize.php?autofocus[control]=custom_logo') ); ?>" target="_blank"><?php esc_html_e('Click', 'print-on-demand'); ?></a></td>
					</tr>
				</tbody>
				<tbody>
					<tr>
						<td><?php esc_html_e('Menus', 'print-on-demand'); ?></td>
						<td class="table-img"><a href="<?php echo esc_url( admin_url('customize.php?autofocus[panel]=nav_menus') ); ?>" target="_blank"><?php esc_html_e('Click', 'print-on-demand'); ?></a></td>
					</tr>
				</tbody>
				<tbody>
					<tr>
						<td><?php esc_html_e('Header Section', 'print-on-demand'); ?></td>
						<td class="table-img"><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=print_on_demand_header_section') ); ?>" target="_blank"><?php esc_html_e('Click', 'print-on-demand'); ?></a></td>
					</tr>
				</tbody>
				<tbody>
					<tr>
						<td><?php esc_html_e('Banner Settings', 'print-on-demand'); ?></td>
						<td class="table-img"><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=print_on_demand_banner') ); ?>" target="_blank"><?php esc_html_e('Click', 'print-on-demand'); ?></a></td>
					</tr>
				</tbody>
				<tbody>
					<tr>
						<td><?php esc_html_e('Post Settings', 'print-on-demand'); ?></td>
						<td class="table-img"><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=print_on_demand_blog_post') ); ?>" target="_blank"><?php esc_html_e('Click', 'print-on-demand'); ?></a></td>
					</tr>
				</tbody>
				<tbody>
					<tr>
						<td><?php esc_html_e('Footer', 'print-on-demand'); ?></td>
						<td class="table-img"><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=print_on_demand_footer') ); ?>" target="_blank"><?php esc_html_e('Click', 'print-on-demand'); ?></a></td>
					</tr>
				</tbody>
			</table>
		</div>
		<ol>
			<li><?php esc_html_e( 'Start','print-on-demand'); ?> <a target="_blank" href="<?php echo esc_url( admin_url('customize.php') ); ?>"><?php esc_html_e( 'Customizing','print-on-demand'); ?></a> <?php esc_html_e( 'your website.','print-on-demand'); ?> </li>
			<li><?php esc_html_e( 'Print On Demand','print-on-demand'); ?> <a target="_blank" href="<?php echo esc_url( PRINT_ON_DEMAND_FREE_DOC ); ?>"><?php esc_html_e( 'Documentation','print-on-demand'); ?></a> </li>
		</ol>
        </div>
    </div>
</div><br><br>

</div>
<div id="pro_theme" class="tabcontent">
<h2 class="dashboard-install-title" align="center"><?php esc_html_e( '2.) Premium Theme Information.','print-on-demand'); ?></h2>
<div class="row">
<div class="col-md-7">
	<img role="img" src="<?php echo esc_url(get_template_directory_uri() . '/inc/dashboard/media/responsive.png'); ?>" alt="">
	<div class="pro-links" >
    	<a href="<?php echo esc_url( PRINT_ON_DEMAND_LIVE_DEMO ); ?>" target="_blank"><?php esc_html_e('Live Demo', 'print-on-demand'); ?></a>
		<a href="<?php echo esc_url( PRINT_ON_DEMAND_BUY_PRO ); ?>"><?php esc_html_e('Buy Pro', 'print-on-demand'); ?></a>
		<a href="<?php echo esc_url( PRINT_ON_DEMAND_PRO_DOC ); ?>" target="_blank"><?php esc_html_e('Pro Documentation', 'print-on-demand'); ?></a>
	</div>
	<div class="pad-box">
		<h3><?php esc_html_e( 'Pro Theme Description','print-on-demand'); ?></h3>
     		<p class="pad-box-p"><?php esc_html_e( 'T-shirt Ecommerce WordPress Theme – is an elegant and fast-loading T-shirt Ecommerce theme that integrates the latest design trends and user-friendly features. It’s ideal for an online clothes store, T-shirt apparel brands, clothing manufacturers, product brands, or any other type of eCommerce store! This theme has a Call to Action (CTA) button, a Testimonial Section, Customization Options, and a Clean code. It also uses WooCommerce, which makes managing and maintaining your online business much easier. The theme also comes with many custom shortcodes and widgets. It is fully compatible with all devices, popular plugins, modern browsers, and search engines. T-shirt Ecommerce WordPress Theme is built on the Bootstrap framework, and its home pages can be built using Gutenberg Block Editor or Elementor Website Builder.', 'print-on-demand' ); ?><p>
     	</div>
</div>
<div class="col-md-5 install-plugin-right">
	<div class="pad-box">								
		<h3><?php esc_html_e( 'Pro Theme Features','print-on-demand'); ?></h3>
		<div class="dashboard-install-benefit">
			<ul>
				<li><?php esc_html_e( 'Easy install 10 minute setup Themes','print-on-demand'); ?></li>
				<li><?php esc_html_e( 'Multiplue Domain Usage','print-on-demand'); ?></li>
				<li><?php esc_html_e( 'Premium Technical Support','print-on-demand'); ?></li>
				<li><?php esc_html_e( 'FREE Shortcodes','print-on-demand'); ?></li>
				<li><?php esc_html_e( 'Multiple page templates','print-on-demand'); ?></li>
				<li><?php esc_html_e( 'Google Font Integration','print-on-demand'); ?></li>
				<li><?php esc_html_e( 'Customizable Colors','print-on-demand'); ?></li>
				<li><?php esc_html_e( 'Theme customizer ','print-on-demand'); ?></li>
				<li><?php esc_html_e( 'Documention','print-on-demand'); ?></li>
				<li><?php esc_html_e( 'Unlimited Color Option','print-on-demand'); ?></li>
				<li><?php esc_html_e( 'Plugin Compatible','print-on-demand'); ?></li>
				<li><?php esc_html_e( 'Social Media Integration','print-on-demand'); ?></li>
				<li><?php esc_html_e( 'Incredible Support','print-on-demand'); ?></li>
				<li><?php esc_html_e( 'Eye Appealing Design','print-on-demand'); ?></li>
				<li><?php esc_html_e( 'Simple To Install','print-on-demand'); ?></li>
				<li><?php esc_html_e( 'Fully Responsive ','print-on-demand'); ?></li>
				<li><?php esc_html_e( 'Translation Ready','print-on-demand'); ?></li>
				<li><?php esc_html_e( 'Custom Page Templates ','print-on-demand'); ?></li>
				<li><?php esc_html_e( 'WooCommerce Integration','print-on-demand'); ?></li>
			</ul>
		</div>
	</div>
</div>
</div>
</div>
<div class="dashboard__blocks">
<div class="row">
<div class="col-md-3">
	<h3><?php esc_html_e( 'Get Support','print-on-demand'); ?></h3>
	<ol>
		<li><a target="_blank" href="<?php echo esc_url( PRINT_ON_DEMAND_FREE_SUPPORT ); ?>"><?php esc_html_e( 'Free Theme Support','print-on-demand'); ?></a></li>
		<li><a target="_blank" href="<?php echo esc_url( PRINT_ON_DEMAND_PRO_SUPPORT ); ?>"><?php esc_html_e( 'Premium Theme Support','print-on-demand'); ?></a></li>
	</ol>
</div>

<div class="col-md-3">
	<h3><?php esc_html_e( 'Getting Started','print-on-demand'); ?></h3>
	<ol>
		<li><?php esc_html_e( 'Start','print-on-demand'); ?> <a target="_blank" href="<?php echo esc_url( admin_url('customize.php') ); ?>"><?php esc_html_e( 'Customizing','print-on-demand'); ?></a> <?php esc_html_e( 'your website.','print-on-demand'); ?> </li>
	</ol>
</div>
<div class="col-md-3">
	<h3><?php esc_html_e( 'Help Docs','print-on-demand'); ?></h3>
	<ol>
		<li><a target="_blank" href="<?php echo esc_url( PRINT_ON_DEMAND_FREE_DOC ); ?>"><?php esc_html_e( 'Free Theme Documentation','print-on-demand'); ?></a></li>
		<li><a target="_blank" href="<?php echo esc_url( PRINT_ON_DEMAND_PRO_DOC ); ?>"><?php esc_html_e( 'Premium Theme Documentation','print-on-demand'); ?></a></li>
	</ol>
</div>
<div class="col-md-3">
	<h3><?php esc_html_e( 'Buy Premium','print-on-demand'); ?></h3>
	<ol>
		<li><a href="<?php echo esc_url( PRINT_ON_DEMAND_BUY_PRO ); ?>"><?php esc_html_e('Buy Pro', 'print-on-demand'); ?></a></li>
	</ol>
</div>
</div>
</div>
</div>

</div>

<?php
}?>